Subject: Revised Report Framework

From: [email-masked]
Date: Fri, 30 Apr 93 15:10:51 GMT

Updated Report Framework and Bibliography
               -----------------------------------------
I append to this note updated versions of benrep1.tex and benref1.bib,
there is an added chapter on Compiler benchmarks and additional references.
I have sent a contribution to Chapter 2 to pbwg-method and a draft of
Chapter 3 to pbwg-lowlevel. I await drafts of the other chapters from
the different subcommittee leaders:
                              Roger Hockney
-------------------------------   cut here  --------------------------------
%
%        **************************************************************
%           STANDARD INTERNATIONAL BENCHMARKS FOR PARALLEL COMPUTERS
%        **************************************************************
%

\input{bencom1.tex}     % define new commands for benchmark report

% ----------------------------------------------------------------------------

\documentstyle[]{report}    % Specifies the document style.
\textheight 8.25 true in
\textwidth 5.625 true in
\topmargin -0.13 true in
\oddsidemargin 0.25 true in
\evensidemargin 0.25 true in

                           % The preamble begins here.

\title{Standard International Benchmarks for Parallel Computers}

% ----------------------------------------------------------------------------

\author{PBWG Committee \\
        draft assembled by Roger Hockney (chairman)}
\date{19 April 1993 - draft 2}

% ----------------------------------------------------------------------------

\begin{document}           % End of preamble and beginning of text.
\sloppy
\maketitle                 % Produces the title.

% ----------------------------------------------------------------------------

\input{intro1.tex}  % Introduction
% responsibility of Roger Hockney for whole committee

% ----------------------------------------------------------------------------

\input{method3.tex}  % Chapter1 
% responsibility of David Bailey for Methodology subcommittee 

% ----------------------------------------------------------------------------

\input{lowlev1.tex}  % Chapter2
% responsibility of Roger Hockney for Low-level benchmarks subcommittee

% ----------------------------------------------------------------------------

\input{kernel1.tex}  % Chapter3
% responsibility of Tony Hey for Kernel benchmarks subcommittee

% ----------------------------------------------------------------------------

\input{compac1.tex}  % Chapter4
% responsibility of David Walker for Compact Applications subcommittee

% ----------------------------------------------------------------------------

\input{compil1.tex}  % Chapter5
% responsibility of Tom Haupt for Compiler Benchmarks subcommittee

% ----------------------------------------------------------------------------

\input{conclu1.tex}  % Conclusions
% responsibility of Roger Hockney for whole committee

% ----------------------------------------------------------------------------

\vspace{0.35in}
{\large \bf Acknowledgments}

\bibliography{benref1}
\bibliographystyle{unsrt}

\end{document}             % End of document.

%

@book{HoJe81, 
   author= "Roger W. Hockney and Christopher R. Jesshope", 
   title=  "Parallel Computers:
   Architecture, Programming and Algorithms",
   publisher= "Adam Hilger", 
   address= "Bristol", 
   year= "1981",
   }

@book{HoJe88, 
   author= "Roger W. Hockney and Christopher R. Jesshope", 
   title=  "Parallel Computers 2:
   Architecture, Programming and Algorithms",
   publisher= "Adam Hilger/IOP Publishing", 
   address= "Bristol \& Philadelphia", 
   year= "1988",
   edition="second",
   note= "Distributed in the USA by IOP Publ. Inc., Public Ledger Bldg.,
   Suite 1035, Independence Square, Philadelphia, PA 19106."}

@book{Super,
   key="Super",
   title={Supercomputer},
   publisher="ASFRA",
   address="Edam, Netherlands"}

@book{SI75,
   key="Royal Society",
   organization="Symbols Committee of the Royal Society",
   title={Quantities, Units and Symbols},
   publisher="The Royal Society", 
   address="London", 
   year=1975}

@article{Berr89, 
   author="M. Berry and D. Chen and P. Koss and D. Kuck and S. Lo and Y. Pang 
   and L. Pointer and R. Roloff and A. Sameh and E. Clementi and S. Chin
   and D. Schneider and G. Fox and P. Messina and D. Walker and C. Hsiung
   and J. Schwarzmeier and K. Lue and S. Orszag and F. Seidl and
   O. Johnson and R. Goodrum and J. Martin",
   title="The {PERFECT} Club benchmarks: effective performance evaluation of
   computers",
   journal={Intl. J. Supercomputer Appls.}, 
   volume=3,
   number=3, 
   year=1989, 
   pages="5-40"}

@incollection{Ma88,
   author="F. H. McMahon",
   title="The {L}ivermore {F}ortran {K}ernels test of the numerical 
            performance range",
   editor="J. L. Martin", 
   booktitle={Performance Evaluation of Supercomputers},
   publisher="Elsevier Science B.V., North-Holland", 
   address="Amsterdam", 
   year=1988, 
   pages="143-186"}

@article{Mess90,
   author="P. Messina and C. Baillie and E. Felten and P. Hipes and 
   R. Williams and A. Alagar and A. Kamrath and R. Leary and W. Pfeiffer
   and J. Rogers and D. Walker",
   title="Benchmarking advanced architecture computers",
   journal={Concurrency: Practice and Experience},
   volume=2,
   number=3, 
   year=1990, 
   pages="195-255"}

@inproceedings{Cvet90,
   author="Z. Cvetanovic and E. G. Freedman and C. Nofsinger",
   title="Efficient decomposition and performance of parallel {PDE}, 
   {FFT}, {M}onte-{C}arlo simulations, simplex and sparse solvers",
   booktitle={Proceedings Supercomputing90}, 
   publisher="IEEE", 
   address="New York", 
   year=1990, 
   pages="465-474"}

@article{SUPR88,
  title="Proceedings 2nd International SUPRENUM Colloquium",
  author="U. Trottenberg",
  journal={Parallel Computing},
  volume=7, 
  number=3,
  year=1988}

@article{Hey91, 
   author="A. J. G. Hey",
   title="The {G}enesis Distributed-Memory Benchmarks",
   journal={Parallel Computing}, 
   volume=17,
   year=1991,
   pages="1275-1283"}

@book{F90,
   author="M. Metcalf and J. Reid",
   title={Fortran-90 Explained}, 
   publisher="Oxford Science Publications/OUP",
   address="Oxford and New York", 
   year=1990, 
   chapter=6}

@article{SPEC90,
   key="SPEC", 
   title="{SPEC} Benchmarks Suite Release 1.0",
   journal={SPEC Newslett.}, 
   volume=2,
   number=3,
   year=1990,
   pages="3-4",
   publisher="Systems Performance Evaluation Cooperative, Waterside Associates",
   address="Fremont, California"}

@article{FGHS89, 
   author="A. Friedli and W. Gentzsch and R. Hockney and A. van der Steen",
   title="A {E}uropean Supercomputer Benchmark Effort", 
   journal={Supercomputer 34}, 
   volume="VI",
   number=6,
   year=1989,
   pages="14-17"}

@article{BRH90,
   author="L. Bomans and D. Roose and R. Hempel",
   title="The {A}rgonne/{GMD} Macros in {F}ortran for portable parallel 
   programming and their implementation on the {I}ntel i{PSC}/2",
   journal={Parallel Computing},
   volume=15,
   year=1990,
   pages="119-132"}

@inproceedings{ShTu91,
   author="J. N. Shahid and R. S. Tuminaro",
   title="Iterative Methods for Nonsymmetric Systems on {MIMD} Machines",
   booktitle={Proc. Fifth SIAM Conf. Parallel Processing for Scientific
   Computing},
   year=1991}

@article{Bish90,
   author="N. T. Bishop and C. J. S. Clarke and R. A. d'Inverno",
   journal={Classical and Quantum Gravity},
   volume=7,
   year=1990, 
   pages="L23-L27"}

@article{Isaac83,
   author="R. A. Isaacson and J. S. Welling and J.Winicour",
   journal={J. Math. Phys.},
   volume=24,
   year=1983,
   pages="1824-1834"}

@article{Stew82,
   author="J. M. Stewart and H. Friedrich",
   journal={Proc. Roy. Soc.},
   volume="A384",
   year=1982, 
   pages="427-454"}

@incollection{Hoc77,
   author="R. W. Hockney",
   title="Super-Computer Architecture",
   editor="F. Sumner", 
   booktitle={Infotech State of the Art Conference: {F}uture {S}ystems},
   publisher="Infotech", 
   address="Maidenhead", 
   year=1977, 
   pages="277-305"}

@article{Hoc82, 
   author="R. W. Hockney",
   title="Characterization of parallel computers and algorithms",
   journal={Computer Physics Communications}, 
   volume=26,
   year=1982,
   pages="285-291"}

@article{Hoc83, 
   author="R. W. Hockney",
   title="Characterizing Computers and Optimizing the {FACR}(l)
          Poisson-Solver on Parallel Unicomputers",
   journal={IEEE Trans. Comput.}, 
   volume="{C}\-32",
   year=1983,
   pages="933-941"}

@article{Hoc87, 
   author="R. W. Hockney",
   title="Parametrization of Computer Performance",
   journal={Parallel Computing}, 
   volume=5,
   year=1987,
   pages="97-103"}

@article{Hoc88, 
   author="R. W. Hockney",
   title="Synchronization and Communication Overheads on the {LCAP}
          Multiple {FPS}-164 Computer System",
   journal={Parallel Computing}, 
   volume=9,
   year=1988,
   pages="279-290"}

@article{HoCu89, 
   author="R. W. Hockney and I. J. Curington",
   title="$f_{frac{1}{2}}$: a Parameter to Characterise Memory and
          Communication Bottlenecks",
   journal={Parallel Computing}, 
   volume=10,
   year=1989,
   pages="277-286"}

@article{Hoc91, 
   author="R. W. Hockney",
   title="Performance Parameters and Benchmarking of Supercomputers",
   journal={Parallel Computing}, 
   volume=17,
   year=1991,
   pages="1111-1130"}

@article{Hoc92, 
   author="R. W. Hockney",
   title="A framework for benchmark analysis",
   journal={Supercomputer}, 
   volume=48,
   number="IX-2", 
   year=1992, 
   pages="9-22"}

@article{HoCa92, 
   author="R. W. Hockney and E. A. Carmona",
   title="Comparison of Communications on the {I}ntel i{PSC}/860 and
          {T}ouchstone {D}elta",
   journal={Parallel Computing}, 
   volume=18,
   year=1992,
   pages="1067-1072"}

@article{Add93, 
   author="C. Addison and J. Allwright and N. Binsted and N. Bishop and 
   B. Carpenter and P. Dalloz and D. Gee and V. Getov and A. Hey and
   R. Hockney and M. Lemke and J. Merlin and M. Pinches and C. Scott and
   I. Wolton",
   title="The {G}enesis distributed-memory benchmarks. Part 1: methodology
   and general relativity benchmark with results for the {SUPRENUM}
   computer",
   journal={Concurrency: Practice and Experience}, 
   volume=5,
   number=1, 
   year=1993, 
   pages="1-22"}

@techreport{StRi93,
   author="A. J. van der Steen and P. P. M. de Rijk",
   title="Guidelines for use of the {E}uro{B}en Benchmark",
   institution="{E}uro{B}en",
   year=1993,
   month=feb,
   type="Technical Report",
   number="{TR}\-3",
   address="The {E}uro{B}en Group, {U}trecht, {T}he {N}etherlands"}